%global  nginx_user          nginx
%global  nginx_group         %{nginx_user}
%global  nginx_home          %{_localstatedir}/lib/nginx
%global  nginx_home_tmp      %{nginx_home}/tmp
%global  nginx_logdir        %{_localstatedir}/log/nginx
%global  nginx_confdir       %{_sysconfdir}/nginx
%global  nginx_datadir       %{_datadir}/nginx
%global  nginx_webroot       %{nginx_datadir}/html

Name:              nginx
Version:           1.12.2
Release:           3%{?dist}
Epoch:             1

Summary:           A high performance web server and reverse proxy server
Group:             System Environment/Daemons
# BSD License (two clause)
# http://www.freebsd.org/copyright/freebsd-license.html
License:           BSD
URL:               http://nginx.org/

Source0:           http://nginx.org/download/nginx-%{version}.tar.gz
Source1:           nginx.init
Source2:           nginx.logrotate
Source3:           nginx.conf
Source4:           default.conf
Source5:           ssl.conf
Source6:           virtual.conf
Source7:           nginx.sysconfig
Source8:           nginx.service
Source9:           nginx-upgrade
Source10:          nginx-upgrade.8
Source100:         index.html
Source101:         poweredby.png
Source102:         nginx-logo.png
Source103:         404.html
Source104:         50x.html
Source200:         vim-ftdetect.vim
Source201:         vim-indent.vim
Source202:         vim-syntax.vim

# AnNyung Sources
Source1000:        nginx-annyung.conf.tar.bz2
Source1001:        nginx-annyung-html.tar.bz2

Source999:         Nginx-Fancyindex-Theme-master.zip
Source1010:        nginx-module-url-20151016.tar.bz2
Source1011:        ngx-module-krisp-20151016.tar.gz
Source1012:        nginx-module-vts-0.1.14.tar.gz
Source1013:        ngx-fancyindex-0.4.2.tar.gz
Source1014:        fancyindex-theme-annyung.patch
Source1015:        headers-more-nginx-module-0.32.tar.gz
Source1016:        nginx-module-sts-0.1.0.tar.gz
Source1017:        nginx-module-stream-sts-0.1.0.tar.gz
Source1018:        nginx-auth-ldap-42d195d.tar.gz

# removes -Werror in upstream build scripts.  -Werror conflicts with
# -D_FORTIFY_SOURCE=2 causing warnings to turn into errors.
Patch0:            nginx-auto-cc-gcc.patch

# AnNyung patches
Patch100:          fancyindex-0.4.2-annyung.patch
Patch101:         fancyindex-0.4.2-local-header-footer.patch
Patch102:          nginx-module-krisp-opt-name.patch
Patch103:          nginx-module-url-annyung-dynamic.patch

# vhost patch
Patch200:          nginx-module-vts-0.1.14-2b0071f.patch
Patch201:          nginx-module-vts-0.1.14-91843ba.patch
Patch202:          nginx-module-vts-0.1.14-9725ede.patch
Patch203:          nginx-module-vts-0.1.14-dbbe2a9.patch
Patch204:          nginx-module-vts-0.1.14-fc73722.patch
Patch205:          nginx-module-vts-0.1.14-bbc8ce6.patch

Patch1000:         nginx-annyung-spdy-http2-compatible.patch
Patch1001:         nginx-annyung-mime-compress.patch

BuildRequires:     GeoIP-devel, libkrisp-devel
BuildRequires:     gd-devel, sqlite-devel
BuildRequires:     libxslt-devel
BuildRequires:     openssl-devel
BuildRequires:     pcre-devel
BuildRequires:     perl-devel
BuildRequires:     perl(ExtUtils::Embed)
BuildRequires:     zlib-devel
BuildRequires:     libkrisp-devel
BuildRequires:     openldap-devel

Requires:          nginx-filesystem = %{epoch}:%{version}-%{release}
Requires:          GeoIP, libkrisp, sqlite
Requires:          gd
Requires:          openssl
Requires:          pcre
Requires:          perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires(pre):     nginx-filesystem
Requires(post):    chkconfig
Requires(preun):   chkconfig, initscripts
Requires(postun):  initscripts
Provides:          webserver

%description
Nginx is a web server and a reverse proxy server for HTTP, SMTP, POP3 and
IMAP protocols, with a strong focus on high concurrency, performance and low
memory usage.

%package filesystem
Group:             System Environment/Daemons
Summary:           The basic directory layout for the Nginx server
BuildArch:         noarch
Requires(pre):     shadow-utils

%description filesystem
The nginx-filesystem package contains the basic directory layout
for the Nginx server including the correct permissions for the
directories.

%package module-http-auth-ldap
Group:             System Environment/Daemons
Summary:           nginx auth-ldap module
Requires:          nginx = %{epoch}:%{version}-%{release}
Requires:          openldap

%description module-http-auth-ldap
LDAP module for nginx which supports authentication against multiple LDAP servers.

%package module-http-fancyindex
Group:             System Environment/Daemons
Summary:           nginx fancynindex module
Requires:          nginx = %{epoch}:%{version}-%{release}

%description module-http-fancyindex
Fancy indexes module for the Nginx web server 

%package module-geoip
Group:             System Environment/Daemons
Summary:           nginx geoip module
Requires:          nginx = %{epoch}:%{version}-%{release}
Requires:          GeoIP

%description module-geoip
Creates variables with values depending on the client IP address, using the
precompiled MaxMind databases. 

%package module-http-image-filter
Group:             System Environment/Daemons
Summary:           nginx image filter module
Requires:          nginx = %{epoch}:%{version}-%{release}
Requires:          gd, libjpeg, fontconfig, freetype, libpng, perl-libs

%description module-http-image-filter
A filter that transforms images in JPEG, GIF, PNG, and WebP formats. 

%package module-http-xslt
Group:             System Environment/Daemons
Summary:           nginx xslt filter module
Requires:          nginx = %{epoch}:%{version}-%{release}
Requires:          libxslt xz-libs

%description module-http-xslt
A filter that transforms XML responses using one or more XSLT stylesheets.

%package module-http-perl
Group:             System Environment/Daemons
Summary:           nginx perl module
Requires:          nginx = %{epoch}:%{version}-%{release}
Requires:          perl-libs

%description module-http-perl
implement location and variable handlers in Perl and insert Perl calls into SSI.

%package module-http-url
Group:             System Environment/Daemons
Summary:           nginx url encoding convert module
Requires:          nginx = %{epoch}:%{version}-%{release}

%description module-http-url
Nginx url encoding converting module


%prep
%setup -q -a 1010 -a 1011 -a 1012 -a 1013 -a 1015 -a 1016 -a 1017 -a 1018
%patch0 -p1
%patch100 -p0
%patch101 -p0
%patch102 -p0
%patch103 -p0

%patch200 -p0
%patch201 -p0
%patch202 -p0
%patch203 -p0
%patch204 -p0
%patch205 -p0

%patch1000 -p1
%patch1001 -p1


%build
# nginx does not utilize a standard configure script.  It has its own
# and the standard configure options cause the nginx configure script
# to error out.  This is is also the reason for the DESTDIR environment
# variable.
export DESTDIR=%{buildroot}
./configure \
    --prefix=%{nginx_datadir} \
    --sbin-path=%{_sbindir}/nginx \
    --conf-path=%{nginx_confdir}/nginx.conf \
    --modules-path=%{_libdir}/nginx \
    --error-log-path=%{nginx_logdir}/error.log \
    --http-log-path=%{nginx_logdir}/access.log \
    --http-client-body-temp-path=%{nginx_home_tmp}/client_body \
    --http-proxy-temp-path=%{nginx_home_tmp}/proxy \
    --http-fastcgi-temp-path=%{nginx_home_tmp}/fastcgi \
    --http-uwsgi-temp-path=%{nginx_home_tmp}/uwsgi \
    --http-scgi-temp-path=%{nginx_home_tmp}/scgi \
    --pid-path=%{_localstatedir}/run/nginx.pid \
    --lock-path=%{_localstatedir}/lock/subsys/nginx \
    --user=nobody \
    --group=nobody \
    --with-file-aio \
    --with-ipv6 \
    --with-http_ssl_module \
    --with-http_v2_module \
    --with-http_realip_module \
    --with-http_addition_module \
    --with-http_xslt_module=dynamic \
    --with-http_image_filter_module=dynamic \
    --with-http_geoip_module=dynamic \
    --with-http_sub_module \
    --with-http_dav_module \
    --with-http_flv_module \
    --with-http_mp4_module \
    --with-http_gunzip_module \
    --with-http_gzip_static_module \
    --with-http_auth_request_module \
    --with-http_random_index_module \
    --with-http_secure_link_module \
    --with-http_degradation_module \
    --with-http_stub_status_module \
    --with-http_perl_module=dynamic \
    --with-mail=dynamic \
    --with-mail_ssl_module \
    --with-stream=dynamic \
    --with-stream_ssl_module \
    --with-stream_realip_module \
    --with-stream_geoip_module=dynamic \
    --with-stream_ssl_preread_module \
    --add-module=nginx-module-krisp \
    --add-module=headers-more-nginx-module-0.32 \
    --add-dynamic-module=nginx-module-url \
    --add-dynamic-module=nginx-auth-ldap-42d195d \
    --add-dynamic-module=ngx-fancyindex-0.4.2 \
    --add-dynamic-module=nginx-module-sts-0.1.0 \
    --add-dynamic-module=nginx-module-stream-sts-0.1.0 \
    --add-dynamic-module=nginx-module-vts-0.1.14 \
    --with-debug \
    --with-cc-opt="%{optflags} $(pcre-config --cflags)" \
    --with-ld-opt="-Wl,-E" # so the perl module finds its symbols

make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot} INSTALLDIRS=vendor

find %{buildroot} -type f -name .packlist -exec rm -f '{}' \;
find %{buildroot} -type f -name perllocal.pod -exec rm -f '{}' \;
find %{buildroot} -type f -empty -exec rm -f '{}' \;
find %{buildroot} -type f -iname '*.so' -exec chmod 0755 '{}' \;

install -p -D -m 0644 %{SOURCE8} \
    %{buildroot}%{_unitdir}/nginx.service
install -p -D -m 0755 %{SOURCE1} \
    %{buildroot}%{_sbindir}/init.d/nginx
install -p -D -m 0644 %{SOURCE2} \
    %{buildroot}%{_sysconfdir}/logrotate.d/nginx
install -p -D -m 0644 %{SOURCE7} \
    %{buildroot}%{_sysconfdir}/sysconfig/nginx

install -p -d -m 0755 %{buildroot}%{nginx_confdir}/{conf,common,modules}.d
install -p -d -m 0700 %{buildroot}%{nginx_home}
install -p -d -m 0700 %{buildroot}%{nginx_home_tmp}
install -p -d -m 0700 %{buildroot}%{nginx_logdir}
install -p -d -m 0755 %{buildroot}%{nginx_webroot}

install -p -m 0644 %{SOURCE3} \
    %{buildroot}%{nginx_confdir}
install -p -m 0644 %{SOURCE4} %{SOURCE5} %{SOURCE6} \
    %{buildroot}%{nginx_confdir}/conf.d
install -p -m 0644 %{SOURCE100} \
    %{buildroot}%{nginx_webroot}
install -p -m 0644 %{SOURCE101} %{SOURCE102} \
    %{buildroot}%{nginx_webroot}
#install -p -m 0644 %{SOURCE103} %{SOURCE104} \
#    %{buildroot}%{nginx_webroot}

install -p -D -m 0644 %{_builddir}/nginx-%{version}/man/nginx.8 \
    %{buildroot}%{_mandir}/man8/nginx.8

install -p -D -m 0755 %{SOURCE9} %{buildroot}%{_bindir}/nginx-upgrade
install -p -D -m 0644 %{SOURCE10} %{buildroot}%{_mandir}/man8/nginx-upgrade.8

install -p -D -m644 %{SOURCE200} \
    %{buildroot}%{_datadir}/vim/vimfiles/ftdetect/nginx.vim
install -p -D -m644 %{SOURCE201} \
    %{buildroot}%{_datadir}/vim/vimfiles/indent/nginx.vim
install -p -D -m644 %{SOURCE202} \
    %{buildroot}%{_datadir}/vim/vimfiles/syntax/nginx.vim

# AnNyung builds
rm -f %{buildroot}%{nginx_confdir}/*.default
rm -f %{buildroot}%{nginx_confdir}/*param*
rm -f %{buildroot}%{nginx_confdir}/conf.d/default.conf
rm -f %{buildroot}%{nginx_confdir}/conf.d/virtual.conf
tar xvfpj %{SOURCE1000} -C %{buildroot}%{nginx_confdir}
tar xvfpj %{SOURCE1001} -C %{buildroot}%{nginx_datadir}

%ifarch i?86
perl -pi -e 's/lib64/lib/g' %{buildroot}%{nginx_confdir}/nginx.conf
%endif
chmod 444 %{buildroot}%{nginx_confdir}/nginx.conf

# installation fancyindex theme
cd %{buildroot}%{nginx_datadir}
	unzip %{SOURCE999}
	mv Nginx-Fancyindex-Theme-master fancyindex
	rm -f fancyindex/README*
	find . -name ".git" -exec rm -f {} \;

	pushd fancyindex
	patch -p1 < %{SOURCE1014}
	popd
cd -

rm -f %{buildroot}%{nginx_webroot}/40*.html
rm -f %{buildroot}%{nginx_webroot}/50*.html

#pre
#getent group %{nginx_group} > /dev/null || groupadd -r %{nginx_group}
#getent passwd %{nginx_user} > /dev/null || \
#    useradd -r -d %{nginx_home} -g %{nginx_group} \
#    -s /sbin/nologin -c "Nginx web server" %{nginx_user}
#exit 0

%post
%systemd_post nginx.service
if [ $1 -eq 2 ]; then
    # Make sure these directories are not world readable.
    chmod 700 %{nginx_home}
    chmod 700 %{nginx_home_tmp}
    chmod 700 %{nginx_logdir}
fi

%preun
%systemd_preun nginx.service

%postun
if [ $1 -eq 2 ]; then
	/sbin/init.d/%{name} upgrade || :
fi

%files
%doc LICENSE CHANGES README
%{nginx_datadir}/html/*
%{nginx_datadir}/fancyindex/*
%{_sbindir}/nginx
%{_bindir}/nginx-upgrade
%{_datadir}/vim/vimfiles/ftdetect/nginx.vim
%{_datadir}/vim/vimfiles/syntax/nginx.vim
%{_datadir}/vim/vimfiles/indent/nginx.vim
%{_mandir}/man3/nginx.3pm*
%{_mandir}/man8/nginx.8*

%{_libdir}/nginx/*.so
%exclude %{_libdir}/nginx/ngx_http_auth_ldap_module.so
%exclude %{_libdir}/nginx/ngx_http_fancyindex_module.so
%exclude %{_libdir}/nginx/ngx_*_geoip_module.so
%exclude %{_libdir}/nginx/ngx_http_image_filter_module.so
%exclude %{_libdir}/nginx/ngx_http_xslt_filter_module.so
%exclude %{_libdir}/nginx/ngx_http_perl_module.so

%{_mandir}/man8/nginx-upgrade.8*
%{_sbindir}/init.d/nginx
%{_unitdir}/nginx.service
#dir %{nginx_confdir}
#dir %{nginx_confdir}/conf.d
%config(noreplace) %{nginx_confdir}/koi-utf
%config(noreplace) %{nginx_confdir}/koi-win
%config(noreplace) %{nginx_confdir}/mime.types
%config(noreplace) %{nginx_confdir}/nginx.conf
%config(noreplace) %{nginx_confdir}/modules.conf
%config(noreplace) %{nginx_confdir}/win-utf
%config(noreplace) %{nginx_confdir}/conf.d/*.conf
%config(noreplace) %{nginx_confdir}/common.d/*.conf
%config(noreplace) %{nginx_confdir}/params/fastcgi.conf
%config(noreplace) %{nginx_confdir}/params/fastcgi_params
%config(noreplace) %{nginx_confdir}/params/scgi_params
%config(noreplace) %{nginx_confdir}/params/uwsgi_params
%config(noreplace) %{_sysconfdir}/logrotate.d/nginx
%config(noreplace) %{_sysconfdir}/sysconfig/nginx
%attr(700,nobody,nobody) %dir %{nginx_home}
%attr(700,nobody,nobody) %dir %{nginx_home_tmp}
%attr(700,nobody,nobody) %dir %{nginx_logdir}

%files filesystem
%dir %{nginx_datadir}
%dir %{nginx_datadir}/html
%dir %{nginx_confdir}
%dir %{nginx_confdir}/conf.d
%dir %{nginx_confdir}/params
%dir %{nginx_confdir}/common.d
%dir %{nginx_confdir}/modules.d

%files module-http-auth-ldap
%{_libdir}/nginx/ngx_http_auth_ldap_module.so
%config(noreplace) %{nginx_confdir}/modules.d/auth-ldap.conf

%files module-http-fancyindex
%{_libdir}/nginx/ngx_http_fancyindex_module.so
%config(noreplace) %{nginx_confdir}/modules.d/fancyindex.conf

%files module-geoip
%{_libdir}/nginx/ngx_*_geoip_module.so
%config(noreplace) %{nginx_confdir}/modules.d/geoip.conf

%files module-http-image-filter
%{_libdir}/nginx/ngx_http_image_filter_module.so
%config(noreplace) %{nginx_confdir}/modules.d/image-filter.conf

%files module-http-xslt
%{_libdir}/nginx/ngx_http_xslt_filter_module.so
%config(noreplace) %{nginx_confdir}/modules.d/xslt.conf

%files module-http-perl
%{_libdir}/nginx/ngx_http_perl_module.so
%config(noreplace) %{nginx_confdir}/modules.d/perl.conf
%dir %{perl_vendorarch}/auto/nginx
%{perl_vendorarch}/nginx.pm
%{perl_vendorarch}/auto/nginx/nginx.so

%files module-http-url
%{_libdir}/nginx/ngx_http_url_encoding_convert_module.so
%config(noreplace) %{nginx_confdir}/modules.d/url.conf

%changelog
* Sun Mar 25 2018 JoungKyun.Kim <hostmaster@oops.org> - 1:1.12.2-3%{?dist}
- update ngx-fancyindex module to 0.4.2
- support local header/footer on ngx-fancyindex
- added dynamic module package
  . nginx-module-http-auth-ldap
  . ngind-module-http-fancyindex
  . ngind-module-geoip
  . ngind-module-http-image-filter
  . ngind-module-http-xslt
  . ngind-module-http-perl
  . ngind-module-http-url

* Sun Dec 10 2017 JoungKyun.Kim <hostmaster@oops.org> - 1:1.12.2-2%{?dist}
- add nginx-auth-ldap module

* Sat Nov 11 2017 JoungKyun.Kim <hostmaster@oops.org> - 1:1.12.2-1%{?dist}
- update 1.12.2

* Sat Oct 14 2017 JoungKyun.Kim <hostmaster@oops.org> - 1:1.12.1-2%{?dist}
- add addtional comprees mime type (gz, tgz, tar, xz, bz2)

* Sat Sep 23 2017 JoungKyun.Kim <hostmaster@oops.org> - 1:1.12.1-1%{?dist}
- update 1.12.1
- security issues
  . CVE-2017-7529 integer overflow in the range filter vulnerability

* Sun Apr 16 2017 JoungKyun.Kim <hostmaster@oops.org> - 1:1.12.0-1%{?dist}
- update 1.12.0
- add nginx-module-sts and nginx-module-stream-sts
  . see also https://github.com/vozlt/nginx-module-stream-sts
- update fancyindex module to 0.4.1
- update headers-more module to 0.32
- update vts module to 0.1.14
  . Compatibility: fixed "#define" macro to char array for the nginx-module-sts/issues/1
  . Compatibility: fixed some issues for the nginx-module-sts/issues/1
  . Compatibility: fixed goto label location for the issues/77
  . Feature: added period parameter in vhost_traffic_status_average_method
    directive to change the average value after the elapse of time
  . Feature: added vhost_traffic_status_dump to maintain statistics data permanently
  . Bugfix: fixed issues/79 that does not exited at "worker process is shutting down"

* Sat Apr 15 2017 JoungKyun.Kim <hostmaster@oops.org> - 1:1.10.3-1%{?dist}
- update 1.10.3

* Wed Jan  4 2017 JoungKyun.Kim <hostmaster@oops.org> - 1:1.10.2-1%{?dist}
- update 1.10.2

* Fri Jun 24 2016 JoungKyun.Kim <hostmaster@oops.org> - 1:1.10.1-1%{?dist}
- update 1.10.1
- add stream module with dynamic module
- change dynamic module
  . mail module
  . http-geoip module
  . http-perl module
  . http-xslt module
- support HTTP v2 protocol
- spdy parameter accept as http2 parameter

* Tue Feb  2 2016 JoungKyun.Kim <hostmaster@oops.org> - 1:1.8.1-2%{?dist}
- fixed wrong option on nginx.service

* Tue Feb  2 2016 JoungKyun.Kim <hostmaster@oops.org> - 1:1.8.1-1%{?dist}
- update 1.8.1
- fixed security issues
  . CVE-2016-0742
  . CVE-2016-0746
  . CVE-2016-0747

* Thu Oct 15 2015 JoungKyun.Kim <hostmaster@oops.org> - 1:1.8.0-1%{?dist}
- update 1.8.0 on AnNyung 3
- add url module on GitHUB/vozlt
- add krisp module on GitHUB/vozlt
- add vhost traffic module on GitHUB/vozlt
- add fancyindex module
  . add fancyindex_readme
  . add fancyindex_ignore_user
  . add fancyindex_ignore_group
- add headers more module
- change default.d to common.d
- Warning: exciting error pages

* Tue Jun 16 2015 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.0.15-12
- fix path to png images in error pages (#1232277)
- optimize png images with optipng

* Tue Nov 11 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.0.15-11
- fix CVE-2013-4547 security bypass due to whitespace parsing
  (#1032266, #1032270)

* Wed Oct 22 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.0.15-10
- add vim files (#1142849)

* Wed Oct 22 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.0.15-9
- use default.d directory

* Wed Oct 08 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.0.15-8
- fix typo in Requires

* Mon Sep 22 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.0.15-7
- create nginx-filesystem subpackage (patch from Remi Collet)

* Mon Sep 22 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.0.15-6
- fix CVE-2014-3616 virtual host confusion (#1142573, #1142576)

* Fri Apr 26 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.0.15-5
- enable debugging (#956845)
- trim changelog

* Fri Feb 22 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.0.15-4
- make sure nginx directories are not world readable (#913734, #913736)

* Sun Oct 28 2012 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.0.15-3
- add nginx man page (#870738)
- link to official documentation not the community wiki (#870733)
- default.conf: add "default_server" to the "listen" directive (#842738)

* Mon May 14 2012 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.0.15-2
- fix postrotate script in nginx.logrotate (#705264)

* Thu Apr 19 2012 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.0.15-1
- update to upstream release 1.0.15
- CVE-2012-2089 (#812093)

* Thu Mar 15 2012 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.0.14-1
- update to upstream release 1.0.14
- CVE-2012-1180 (#803856)

* Sun Mar 04 2012 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.0.13-2
- remove incorrect BR

* Sat Mar 03 2012 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.0.13-1
- update to upstream release 1.0.13
- general spec file cleanup to match rawhide (for easier diff), including:
- replace %%define with %%global
- amend nginx.init and nginx.conf
- amend %%pre scriptlet to match with guidelines
- remove obsolete BuildRoot tag, %%clean section and %%defattr
- remove various unnecessary commands

* Sun Feb 19 2012 Jeremy Hinegardner <jeremy at hinegardner dot org> - 1.0.12-1
- Update to 1.0.12

* Wed Dec 14 2011 Keiran "Affix" Smith <fedora@affix.me> - 1.0.10-2
- Fix Build Issue

* Thu Nov 17 2011 Keiran "Affix" Smith <fedora@affix.me> - 1.0.10-1
- Bugfix: a segmentation fault might occur in a worker process if resolver got a big DNS response. Thanks to Ben Hawkes.
- Bugfix: in cache key calculation if internal MD5 implementation wasused; the bug had appeared in 1.0.4.
- Bugfix: the module ngx_http_mp4_module sent incorrect "Content-Length" response header line if the "start" argument was used. Thanks to Piotr Sikora.

* Thu Oct 27 2011 Keiran "Affix" Smith <fedora@affix.me> - 1.0.8-1
- Update to new 1.0.8 stable release

* Fri Aug 26 2011 Keiran "Affix" Smith <fedora@affix.me> - 1.0.5-1
- Update nginx to Latest Stable Release

* Fri Jun 17 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1.0.0-3
- Perl mass rebuild

* Thu Jun 09 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1.0.0-2
- Perl 5.14 mass rebuild

* Wed Apr 27 2011 Jeremy Hinegardner <jeremy at hinegardner dot org> - 1.0.0-1
- Update to 1.0.0

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.53-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Dec 12 2010 Jeremy Hinegardner <jeremy at hinegardner dot org> - 0.8.53.5
- Extract out default config into its own file (bug #635776)

* Sun Dec 12 2010 Jeremy Hinegardner <jeremy at hinegardner dot org> - 0.8.53-4
- Revert ownership of log dir

* Sun Dec 12 2010 Jeremy Hinegardner <jeremy at hinegardner dot org> - 0.8.53-3
- Change ownership of /var/log/nginx to be 0700 nginx:nginx
- update init script to use killproc -p
- add reopen_logs command to init script
- update init script to use nginx -q option

* Sun Oct 31 2010 Jeremy Hinegardner <jeremy at hinegardner dot org> - 0.8.53-2
- Fix linking of perl module

* Sun Oct 31 2010 Jeremy Hinegardner <jeremy at hinegardner dot org> - 0.8.53-1
- Update to new stable 0.8.53

* Sat Jul 31 2010 Jeremy Hinegardner <jeremy at hinegardner dot org> - 0.7.67-2
- add Provides: webserver (bug #619693)

* Sun Jun 20 2010 Jeremy Hinegardner <jeremy at hinegardner dot org> - 0.7.67-1
- Update to new stable 0.7.67
- fix bugzilla #591543

* Tue Jun 01 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.7.65-2
- Mass rebuild with perl-5.12.0

* Mon Feb 15 2010 Jeremy Hinegardner <jeremy at hinegardner dot org> - 0.7.65-1
- Update to new stable 0.7.65
- change ownership of logdir to root:root
- add support for ipv6 (bug #561248)
- add random_index_module
- add secure_link_module

* Fri Dec 04 2009 Jeremy Hinegardner <jeremy at hinegardner dot org> - 0.7.64-1
- Update to new stable 0.7.64
